<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'moblyze',

    /*
     * Package.
     */
    'package'   => 'financial_plan',

    /*
     * Modules.
     */
    'modules'   => ['plan'],

    
    'plan'       => [
        'model' => [
            'model'                 => \Moblyze\FinancialPlan\Models\Plan::class,
            'table'                 => 'plans',
            'presenter'             => \Moblyze\FinancialPlan\Repositories\Presenter\PlanPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'no_of_year',  'start_date',  'start_year',  'slack',  'cpi',  'priority'],
            'translatables'         => [],
            'upload_folder'         => 'financial_plan/plan',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Moblyze',
            'package'   => 'FinancialPlan',
            'module'    => 'Plan',
        ],

    ],
];
