<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreatePlansTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: plans
         */
        Schema::create('plans', function ($table) {
            $table->increments('id');
            $table->string('name', 100)->nullable();
            $table->integer('no_of_year')->nullable();
            $table->date('start_date')->nullable();
            $table->integer('start_year')->nullable();
            $table->integer('slack')->nullable();
            $table->integer('cpi')->nullable();
            $table->text('priority')->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('plans');
    }
}
