<?php

namespace Moblyze\FinancialPlan\Http\Controllers;

use App\Http\Controllers\PublicController as BaseController;
use Moblyze\FinancialPlan\Interfaces\PlanRepositoryInterface;

class PlanPublicController extends BaseController
{
    // use PlanWorkflow;

    /**
     * Constructor.
     *
     * @param type \Moblyze\Plan\Interfaces\PlanRepositoryInterface $plan
     *
     * @return type
     */
    public function __construct(PlanRepositoryInterface $plan)
    {
        $this->repository = $plan;
        parent::__construct();
    }

    /**
     * Show plan's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $plans = $this->repository
        ->pushCriteria(app('Litepie\Repository\Criteria\RequestCriteria'))
        ->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();


        return $this->response->setMetaTitle(trans('financial_plan::plan.names'))
            ->view('financial_plan::public.plan.index')
            ->data(compact('plans'))
            ->output();
    }


    /**
     * Show plan.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $plan = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->response->setMetaTitle($plan->name . trans('financial_plan::plan.name'))
            ->view('financial_plan::public.plan.show')
            ->data(compact('plan'))
            ->output();
    }

}
