<?php

namespace Moblyze\FinancialPlan\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class PlanTransformer extends TransformerAbstract
{
    public function transform(\Moblyze\FinancialPlan\Models\Plan $plan)
    {
        return [
            'id'                => $plan->getRouteKey(),
            'key'               => [
                'public'    => $plan->getPublicKey(),
                'route'     => $plan->getRouteKey(),
            ], 
            'name'              => $plan->name,
            'no_of_year'        => $plan->no_of_year,
            'start_date'        => $plan->start_date,
            'start_year'        => $plan->start_year,
            'slack'             => $plan->slack,
            'cpi'               => $plan->cpi,
            'priority'          => $plan->priority,
            'url'               => [
                'public'    => trans_url('financial_plan/'.$plan->getPublicKey()),
                'user'      => guard_url('financial_plan/plan/'.$plan->getRouteKey()),
            ], 
            'status'            => trans('app.'.$plan->status),
            'created_at'        => format_date($plan->created_at),
            'updated_at'        => format_date($plan->updated_at),
        ];
    }
}